# Find email Identities for given list of email addresses

Endpoint: GET /customer-engagement/identities
Version: 20260701

## Query parameters:

  - `identity` (array, required)
    Must be url encoded

  - `shouldUpdateStatus` (boolean)
    When true, we call the email provider to check for identity status

## Response 200 fields (application/json):

  - `identities` (array)

  - `identities.emailAddress` (string)

  - `identities.identityType` (string)

  - `identities.verificationStatus` (string)

  - `identities.message` (string)

  - `message` (string)

## Response 500 fields (application/json):

  - `errorMessage` (string, required)
    Human-readable error summary
    Example: An uncaught exception happened

  - `errorCode` (string)
    Reference code of the internal error report; include it when contacting support

